#pragma once

#include "XMLUtil.h"
#include "ScriptletConstant.h"

class ScriptUtil
{
public:
	static public BOOL Varient2BOOL(CComVariant* value)
	{
		ATLASSERT(value != NULL);

		BOOL bValue = FALSE;
		if (value->vt == VT_BSTR)
		{
			bValue = _tcsicmp(OLE2CT(value->bstrVal), SCRIPTLET_TRUE_VALUE) == 0;
		}
		else if (value->vt == VT_I4)
		{
			bValue = static_cast<BOOL>(value->intVal);
		}
		else if( value->vt == VT_BOOL)
		{
			bValue = (value->boolVal==VARIANT_TRUE);
		}
		else 
		{
			ATLTRACE(L"Varient2BOOL > value isempty=[%d]", value->vt == VT_EMPTY);
			return FALSE;
		}
		return bValue;
	}
};